package org.maachang.dbm.engine ;

/**
 * M2例外.
 * 
 * @version 2008/06/05
 * @author masahito suzuki
 * @since MaachangDBM 1.12
 */
public class M2Exception extends Exception {
    private static final long serialVersionUID = -1872094491477860781L;
    
    /**
     * コンストラクタ.
     */
    public M2Exception() {
        super() ;
    }
    
    /**
     * コンストラクタ.
     * @param message メッセージを設定します.
     */
    public M2Exception( String message ) {
        super( message ) ;
    }
    
    /**
     * コンストラクタ.
     * @param t 例外を設定します.
     */
    public M2Exception( Throwable t ) {
        super( t ) ;
    }
    
    /**
     * コンストラクタ.
     * @param message メッセージを設定します.
     * @param t 例外を設定します.
     */
    public M2Exception( String message,Throwable t ) {
        super( message,t ) ;
    }
}
